@extends('layouts.app')

@section('title', 'إضافة مصرف جديد - نظام إدارة الحوالات الخارجية')

@section('page-title', 'إضافة مصرف جديد')

@section('page-actions')
<a href="{{ route('banks.index') }}" class="btn btn-secondary">
    <i class="bi bi-arrow-right"></i> العودة إلى المصارف
</a>
@endsection

@section('content')
<div class="row">
    <div class="col-md-8">
        <div class="card">
            <div class="card-header">
                <h5 class="mb-0">معلومات المصرف</h5>
            </div>
            <div class="card-body">
                <form action="{{ route('banks.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <label for="name" class="form-label">اسم المصرف (بالعربية) <span class="text-danger">*</span></label>
                            <input type="text" id="name" name="name" class="form-control @error('name') is-invalid @enderror" value="{{ old('name') }}" required>
                            @error('name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        
                        <div class="col-md-6">
                            <label for="name_en" class="form-label">اسم المصرف (بالإنجليزية) <span class="text-danger">*</span></label>
                            <input type="text" id="name_en" name="name_en" class="form-control @error('name_en') is-invalid @enderror" value="{{ old('name_en') }}" required>
                            @error('name_en')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    
                    <div class="mb-3">
                        <label for="address" class="form-label">العنوان <span class="text-danger">*</span></label>
                        <textarea id="address" name="address" class="form-control @error('address') is-invalid @enderror" rows="2" required>{{ old('address') }}</textarea>
                        @error('address')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                    
                    <div class="mb-3">
                        <label for="swift_code" class="form-label">Swift Code <span class="text-danger">*</span></label>
                        <input type="text" id="swift_code" name="swift_code" class="form-control @error('swift_code') is-invalid @enderror" value="{{ old('swift_code') }}" required>
                        @error('swift_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                    
                    <div class="mb-3">
                        <label for="logo" class="form-label">شعار المصرف</label>
                        <input type="file" id="logo" name="logo" class="form-control @error('logo') is-invalid @enderror" accept="image/*">
                        @error('logo')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                        <div class="form-text">الصيغة المسموح بها: JPG, PNG. الحجم الأقصى: 2MB</div>
                    </div>
                    
                    <div class="d-grid gap-2">
                        <button type="submit" class="btn btn-primary">
                            <i class="bi bi-save"></i> حفظ المصرف
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <div class="col-md-4">
        <div class="card">
            <div class="card-header">
                <h5 class="mb-0">تعليمات</h5>
            </div>
            <div class="card-body">
            <ul class="list-unstyled">
                    <li class="mb-2">
                        <i class="bi bi-info-circle-fill text-primary me-2"></i>
                        قم بإدخال معلومات المصرف بشكل دقيق.
                    </li>
                    <li class="mb-2">
                        <i class="bi bi-info-circle-fill text-primary me-2"></i>
                        إضافة شعار المصرف اختيارية، ولكنها مفيدة للتعرف عليه بسهولة.
                    </li>
                    <li class="mb-2">
                        <i class="bi bi-info-circle-fill text-primary me-2"></i>
                        بعد إضافة المصرف، يمكنك إضافة النماذج الخاصة به.
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
@endsection