@extends('layouts.app')

@section('title', 'تفاصيل المستفيد - نظام إدارة الحوالات الخارجية')

@section('page-title', 'تفاصيل المستفيد')

@section('page-actions')
<div class="btn-group" role="group">
    <a href="{{ route('beneficiaries.edit', $beneficiary) }}" class="btn btn-warning">
        <i class="bi bi-pencil"></i> تعديل
    </a>
    <a href="{{ route('beneficiaries.index') }}" class="btn btn-secondary">
        <i class="bi bi-arrow-right"></i> العودة إلى المستفيدين
    </a>
</div>
@endsection

@section('content')
<div class="row">
    <div class="col-md-8">
        <div class="card mb-4">
            <div class="card-header">
                <h5 class="mb-0">معلومات المستفيد</h5>
            </div>
            <div class="card-body">
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">اسم المستفيد (بالعربية)</label>
                        <p>{{ $beneficiary->name }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">اسم المستفيد (بالإنجليزية)</label>
                        <p>{{ $beneficiary->name_en }}</p>
                    </div>
                </div>
                
                <div class="mb-3">
                    <label class="form-label fw-bold">عنوان المستفيد</label>
                    <p>{{ $beneficiary->address }}</p>
                </div>
                
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">الدولة</label>
                        <p>{{ $beneficiary->country }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">المدينة</label>
                        <p>{{ $beneficiary->city }}</p>
                    </div>
                </div>
                
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">رقم الهاتف</label>
                        <p>{{ $beneficiary->phone ?: 'غير متوفر' }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">البريد الإلكتروني</label>
                        <p>{{ $beneficiary->email ?: 'غير متوفر' }}</p>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card">
            <div class="card-header">
                <h5 class="mb-0">معلومات البنك المستفيد</h5>
            </div>
            <div class="card-body">
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">اسم البنك</label>
                        <p>{{ $beneficiary->bank_name }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">اسم الفرع</label>
                        <p>{{ $beneficiary->bank_branch }}</p>
                    </div>
                </div>
                
                <div class="mb-3">
                    <label class="form-label fw-bold">عنوان البنك</label>
                    <p>{{ $beneficiary->bank_address }}</p>
                </div>
                
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">دولة البنك</label>
                        <p>{{ $beneficiary->bank_country }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">مدينة البنك</label>
                        <p>{{ $beneficiary->bank_city }}</p>
                    </div>
                </div>
                
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">رقم الحساب</label>
                        <p>{{ $beneficiary->account_number }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">IBAN</label>
                        <p>{{ $beneficiary->iban }}</p>
                    </div>
                </div>
                
                <div class="row mb-3">
                    <div class="col-md-6">
                        <label class="form-label fw-bold">Swift Code</label>
                        <p>{{ $beneficiary->swift_code }}</p>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label fw-bold">Sort Code / ABA Number</label>
                        <p>{{ $beneficiary->sort_code ?: 'غير متوفر' }}</p>
                    </div>
                </div>
                
                @if($beneficiary->additional_details)
                <div class="mb-3">
                    <label class="form-label fw-bold">معلومات إضافية</label>
                    <p>{{ $beneficiary->additional_details }}</p>
                </div>
                @endif
            </div>
        </div>
    </div>
    
    <div class="col-md-4">
        <div class="card mb-4">
            <div class="card-header">
                <h5 class="mb-0">معلومات إضافية</h5>
            </div>
            <div class="card-body">
                <p><strong>تاريخ الإنشاء:</strong> {{ $beneficiary->created_at->format('Y-m-d H:i') }}</p>
                <p><strong>آخر تحديث:</strong> {{ $beneficiary->updated_at->format('Y-m-d H:i') }}</p>
            </div>
        </div>
        
        <div class="card">
            <div class="card-header">
                <h5 class="mb-0">الحوالات المرتبطة</h5>
            </div>
            <div class="card-body">
                <a href="{{ route('transfers.index') }}?beneficiary_id={{ $beneficiary->id }}" class="btn btn-primary w-100">
                    <i class="bi bi-list-ul"></i> عرض الحوالات المرتبطة
                </a>
            </div>
        </div>
    </div>
</div>
@endsection